2019-12-09 18:39 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002849FSSCPuser interfacepublic2013-12-01 19:57
ReporterYarn 
Assigned ToYarn 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindows 7OS Version
Product Version3.6.19 
Target VersionFixed in Version3.6.19 
Summary0002849: +Flags: does not select main halls [patch]
DescriptionThe patch that I submitted with 0002786 inadvertently prevented +Flags: from selecting main halls. The attached patch should fix this.
TagsNo tags attached.
Attached Files
  • patch file icon mantis2849.patch (668 bytes) 2013-04-22 20:24 -
    Index: code/mission/missioncampaign.cpp
    ===================================================================
    --- code/mission/missioncampaign.cpp	(revision 9646)
    +++ code/mission/missioncampaign.cpp	(working copy)
    @@ -536,6 +536,7 @@
     			if (optional_string("+Flags:"))
     				stuff_int(&cm->flags);
     
    +			cm->main_hall = "0";
     			// deal with previous campaign versions
     			if (cm->flags & CMISSION_FLAG_BASTION) {
     				cm->main_hall = "1";
    @@ -543,7 +544,6 @@
     
     			// Goober5000 - new main hall stuff!
     			// Updated by CommanderDJ
    -			cm->main_hall = "0";
     			if (optional_string("+Main Hall:")) {
     				stuff_string(temp, F_RAW, 32);
     				cm->main_hall = temp;
    
    patch file icon mantis2849.patch (668 bytes) 2013-04-22 20:24 +

-Relationships
+Relationships

-Notes

~0014964

FUBAR-BDHR (developer)

Fix committed to trunk@9650.

~0015483

niffiwan (developer)

Crediting Yarn
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-04-22 20:23 Yarn New Issue
2013-04-22 20:24 Yarn File Added: mantis2849.patch
2013-04-27 02:35 Echelon9 Status new => code review
2013-04-27 02:43 FUBAR-BDHR Changeset attached => fs2open trunk r9650
2013-04-27 02:43 FUBAR-BDHR Note Added: 0014964
2013-04-27 02:43 FUBAR-BDHR Status code review => resolved
2013-04-27 02:43 FUBAR-BDHR Resolution open => fixed
2013-12-01 19:57 niffiwan Assigned To => Yarn
2013-12-01 19:57 niffiwan Note Added: 0015483
2013-12-01 19:57 niffiwan Status resolved => feedback
2013-12-01 19:57 niffiwan Resolution fixed => reopened
2013-12-01 19:57 niffiwan Status feedback => resolved
2013-12-01 19:57 niffiwan Fixed in Version => 3.6.19
2013-12-01 19:57 niffiwan Resolution reopened => fixed
+Issue History